Class | RUNIT::TestResult
In: | runit/testresult.rb
Parent: | Test::Unit::TestResult

### Methods

add_error add_failure error_size failure_size run_asserts run_tests succeed?

### Attributes

errors | [R] |
failures | [R] |

### Public Instance methods

add_error(error)

[Source]

    # File runit/testresult.rb, line 34
        def   add_erroradd_erroradd_error(error)
          def error.at
            return location
          end
          def error.err
            return exception
          end
          super(error)
        end

add_failure(failure)

[Source]

    # File runit/testresult.rb, line 25
        def add_failure(failure)
          def failure.at
            return location
          end
          def failure.err
            return message
          end
          super(failure)
        end

error_size()

[Source]

    # File runit/testresult.rb, line 19
        def error_size
          return error_count
        end

failure_size()

[Source]

    # File runit/testresult.rb, line 13
        def failure_size
          return failure_count
        end

run_asserts()

[Source]

    # File runit/testresult.rb, line 16
        def run_asserts
          return assertion_count
        end

run_tests()

[Source]

    # File runit/testresult.rb, line 22
        def run_tests
          return run_count
        end

succeed?()

[Source]

    # File runit/testresult.rb, line 10
        def succeed?
          return passed?
        end

[Validate]